package com.zaojiao.app.data.repo.impl

import com.zaojiao.app.data.model.studyplan.StudyPlanTodayModel
import com.zaojiao.app.data.model.studyplan.StudyPlanTomorrowModel
import com.zaojiao.app.data.remote.RemoteStudyPlanData
import com.zaojiao.app.data.repo.StudyPlanRepository
import javax.inject.Inject


class StudyPlanRepositoryImpl @Inject constructor(
    private val remoteStudyPlanData: RemoteStudyPlanData,
) : StudyPlanRepository {
    override suspend fun getTodayPlanList(): List<StudyPlanTodayModel> {
        return remoteStudyPlanData.getTodayPlan().run {
            this ?: emptyList()
        }
    }


    override suspend fun getTomorrowPlanList(): List<StudyPlanTomorrowModel> {
        return remoteStudyPlanData.getTomorrowPlan().run {
            this ?: emptyList()
        }
    }

}